Bug 967278 - PRD33 - [RFE] Foreman as host provider
PRD33 - [RFE] Foreman as host provider
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Oved Ourfali
: FutureFeature, TechPreview
Depends On:
Blocks: 976566 1019470
  Show dependency treegraph
Reported: 2013-05-26 05:49 EDT by Oved Ourfali
Modified: 2016-02-10 14:18 EST (History)
11 users (show)

See Also:
Fixed In Version: is6
Doc Type: Technology Preview
Doc Text:
Initial support for the Foreman host provider is offered as a technology preview. You can add the new Foreman provider in the administration portal, and use the "Add Hosts" window to select a host provided by Foreman on Red Hat Enterprise Virtualization Manager.
Story Points: ---
Clone Of:
: 976566 (view as bug list)
Last Closed: 2014-01-21 12:22:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 14582 None None None Never
oVirt gerrit 14774 None None None Never
oVirt gerrit 15128 None None None Never

  None (edit)
Description Oved Ourfali 2013-05-26 05:49:58 EDT
Description of problem:
Add general support for host provider, specifically using Foreman, to the engine.
In first phase it would allow adding new host provider, and, when adding new hosts to the engine, it will allow selecting a provider, and choosing a host from a list of available hosts. Also, filtered search (using the provider specific search) should supported.

TBD - We might also want to add bare metal support, to allow installing hosts from scratch in the host provider, followed by adding those hosts to the engine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
See http://www.ovirt.org/Features/ForemanIntegration (still to be updated, but can give further information on the feature).
Comment 2 Artyom 2013-07-22 09:13:17 EDT
Verified on is6
Comment 3 errata-xmlrpc 2014-01-21 12:22:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.